# Uses of Interface
org.opensaml.security.credential.CredentialResolver

Packages that use CredentialResolver
Package
Description
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.
org.opensaml.security.credential.impl
`CredentialResolver` implementation classes.
org.opensaml.security.trust
Interfaces and classes used to evaluate the trustworthiness and validity of `Credential`s.
org.opensaml.security.trust.impl
`TrustEngine` implementation classes.
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of CredentialResolver in org.opensaml.saml.security.impl

Classes in org.opensaml.saml.security.impl that implement CredentialResolver
Modifier and Type
Class
Description
`class`
`MetadataCredentialResolver`
A credential resolver capable of resolving credentials from SAML 2 metadata.

## Uses of CredentialResolver in org.opensaml.security.credential.impl

Classes in org.opensaml.security.credential.impl with type parameters of type CredentialResolver
Modifier and Type
Class
Description
`class`
`AbstractChainingCredentialResolver<ResolverType extends CredentialResolver>`
An abstract implementation of `CredentialResolver` which chains together one or more underlying credential resolver implementations.
Classes in org.opensaml.security.credential.impl that implement CredentialResolver
Modifier and Type
Class
Description
`class`
`AbstractChainingCredentialResolver<ResolverType extends CredentialResolver>`
An abstract implementation of `CredentialResolver` which chains together one or more underlying credential resolver implementations.
`class`
`AbstractCredentialResolver`
Abstract base class for `CredentialResolver` implementations.
`class`
`AbstractCriteriaFilteringCredentialResolver`
An abstract implementation of `CredentialResolver` that filters the returned Credentials based on the instances of `Predicate` which are present in the set of criteria as instances of `EvaluableCredentialCriterion`, or which are obtained via lookup in the `EvaluableCredentialCriteriaRegistry`.
`class`
`ChainingCredentialResolver`
A concrete implementation of `AbstractChainingCredentialResolver` which is scoped to the simple `CredentialResolver` type.
`class`
`CollectionCredentialResolver`
An implementation of `CredentialResolver` that uses a `Collection` as the underlying credential source.
`class`
`FilesystemCredentialResolver`
NOTE: this class is not yet implemented A `CredentialResolver` that pulls credential information from the file system.
`class`
`KeyStoreCredentialResolver`
A `CredentialResolver` that extracts `Credential`'s from a key store.
`class`
`StaticCredentialResolver`
Simple implementation of `CredentialResolver` which just stores and returns a static set of credentials.
Fields in org.opensaml.security.credential.impl declared as CredentialResolver
Modifier and Type
Field
Description
`private CredentialResolver`
AbstractChainingCredentialResolver.CredentialIterator.`currentResolver`
The current resolver which is returning credentials.
Constructor parameters in org.opensaml.security.credential.impl with type arguments of type CredentialResolver
Modifier
Constructor
Description
``
`ChainingCredentialResolver(List<CredentialResolver> resolverChain)`
Constructor.

## Uses of CredentialResolver in org.opensaml.security.trust

Methods in org.opensaml.security.trust that return CredentialResolver
Modifier and Type
Method
Description
`CredentialResolver`
TrustedCredentialTrustEngine.`getCredentialResolver()`
Gets the credential resolver used to recover trusted credentials that may be used to validate tokens.

## Uses of CredentialResolver in org.opensaml.security.trust.impl

Fields in org.opensaml.security.trust.impl declared as CredentialResolver
Modifier and Type
Field
Description
`private final CredentialResolver`
ExplicitKeyTrustEngine.`credentialResolver`
Resolver used for resolving trusted credentials.
`private final CredentialResolver`
ExplicitX509CertificateTrustEngine.`credentialResolver`
Resolver used for resolving trusted credentials.
Methods in org.opensaml.security.trust.impl that return CredentialResolver
Modifier and Type
Method
Description
`CredentialResolver`
ExplicitKeyTrustEngine.`getCredentialResolver()`
Gets the credential resolver used to recover trusted credentials that may be used to validate tokens.
`CredentialResolver`
ExplicitX509CertificateTrustEngine.`getCredentialResolver()`
Gets the credential resolver used to recover trusted credentials that may be used to validate tokens.
Constructors in org.opensaml.security.trust.impl with parameters of type CredentialResolver
Modifier
Constructor
Description
``
`ExplicitKeyTrustEngine(CredentialResolver resolver)`
Constructor.
``
`ExplicitX509CertificateTrustEngine(CredentialResolver resolver)`
Constructor.

## Uses of CredentialResolver in org.opensaml.xmlsec.keyinfo

Subinterfaces of CredentialResolver in org.opensaml.xmlsec.keyinfo
Modifier and Type
Interface
Description
`interface`
`KeyInfoCredentialResolver`
Specialized `CredentialResolver` marker interface for resolvers which resolve credentials based on a `KeyInfo` element.

## Uses of CredentialResolver in org.opensaml.xmlsec.keyinfo.impl

Classes in org.opensaml.xmlsec.keyinfo.impl that implement CredentialResolver
Modifier and Type
Class
Description
`class`
`BasicProviderKeyInfoCredentialResolver`
Implementation of `KeyInfoCredentialResolver` which resolves credentials based on a `KeyInfo` element using a configured list of `KeyInfoProvider`s and optional post-processing hooks.
`class`
`ChainingKeyInfoCredentialResolver`
A concrete implementation of `AbstractChainingCredentialResolver` which is scoped to the `KeyInfoCredentialResolver` type.
`class`
`CollectionKeyInfoCredentialResolver`
An implementation of `KeyInfoCredentialResolver` which uses a `Collection` as the underlying credential source.
`class`
`LocalKeyInfoCredentialResolver`
A simple specialization of `BasicProviderKeyInfoCredentialResolver` which is capable of using information from a `KeyInfo` to resolve local credentials from a supplied `CredentialResolver` which manages local credentials.
`class`
`StaticKeyInfoCredentialResolver`
Simple implementation of `KeyInfoCredentialResolver` which just stores and returns a static set of credentials.
Fields in org.opensaml.xmlsec.keyinfo.impl declared as CredentialResolver
Modifier and Type
Field
Description
`private final CredentialResolver`
LocalKeyInfoCredentialResolver.`localCredResolver`
The resolver which is used to resolve local credentials.
Methods in org.opensaml.xmlsec.keyinfo.impl that return CredentialResolver
Modifier and Type
Method
Description
`CredentialResolver`
LocalKeyInfoCredentialResolver.`getLocalCredentialResolver()`
Get the resolver for local credentials.
Constructors in org.opensaml.xmlsec.keyinfo.impl with parameters of type CredentialResolver
Modifier
Constructor
Description
``
`LocalKeyInfoCredentialResolver(List<KeyInfoProvider> keyInfoProviders, CredentialResolver localCredentialResolver)`
Constructor.

## Uses of CredentialResolver in org.opensaml.xmlsec.signature.support.impl

Fields in org.opensaml.xmlsec.signature.support.impl declared as CredentialResolver
Modifier and Type
Field
Description
`private final CredentialResolver`
ExplicitKeySignatureTrustEngine.`credentialResolver`
Resolver used for resolving trusted credentials.
Methods in org.opensaml.xmlsec.signature.support.impl that return CredentialResolver
Modifier and Type
Method
Description
`CredentialResolver`
ExplicitKeySignatureTrustEngine.`getCredentialResolver()`
Gets the credential resolver used to recover trusted credentials that may be used to validate tokens.
Constructors in org.opensaml.xmlsec.signature.support.impl with parameters of type CredentialResolver
Modifier
Constructor
Description
``
`ExplicitKeySignatureTrustEngine(CredentialResolver resolver, KeyInfoCredentialResolver keyInfoResolver)`
Constructor.